<?php
// Start of sqlsrv

/**
* Creates a connection resource and opens a connection. By default,
* the connection is attempted using Windows Authentication.
* @param string $serverName  A string specifying the name of the server to which a connection is being established.
* @param array $connectionInfo [optional] A predefined constant.
* @return resource|false A PHP connection resource. If a connection cannot be successfully created and opened, false is returned.
*/
function sqlsrv_connect($serverName, $connectionInfo){}

/**
 * Retrieves the next row of data as an array.
 * @param resource|null $stmt A statement resource corresponding to an executed statement.
 * @param int [optional] A predefined constant. This parameter can take on one of the values listed in the following table: SQLSRV_FETCH_NUMERIC, SQLSRV_FETCH_ASSOC, SQLSRV_FETCH_BOTH
 * @return array|null|false If a row of data is retrieved, an array is returned. If there are no more rows to retrieve, null is returned. If an error occurs, false is returned.
 */
function sqlsrv_fetch_array($stmt, $fetchType = null){}

/**
 * Frees all resources associated with the specified statement. The statement cannot be used again after this function has been called.
 * @param resource $stmt The statement to be closed.
 * @return bool The Boolean value true unless the function is called with an invalid parameter. If the function is called with an invalid parameter, false is returned.
 */
function sqlsrv_free_stmt($stmt){}

/**
 * Prepares and executes a statement.
 * @param resource $conn The connection resource associated with the prepared statement.
 * @param string $tsql The Transact-SQL expression that corresponds to the prepared statement.
 * @param array $params [optional] An array of values that correspond to parameters in a parameterized query. Each element of the array can be one of the following: A literal value, A PHP variable, An array with the following structure: array($value [, $direction [, $phpType [, $sqlType]]])
 * @param array $options [optional]
 * @return resource
 */
function sqlsrv_query($conn, $tsql, $params, $options){}

/**
 * Returns extended error and/or warning information about the last sqlsrv operation performed.
 * @param int [optional] A predefined constant. This parameter can take one of the values listed in the following table: SQLSRV_ERR_ALL, SQLSRV_ERR_ERRORS, SQLSRV_ERR_WARNINGS
 */
function sqlsrv_errors($errorsAndOrWarnings = null){}

/**
 * Begins a transaction on a specified connection. The current transaction includes all statements on the specified connection that were executed after the call to sqlsrv_begin_transaction and before any calls to sqlsrv_rollback or sqlsrv_commit.
 * @param resource $conn The connection with which the transaction is associated.
 */
function sqlsrv_begin_transaction($conn){}

/**
 * Commits the current transaction on the specified connection and returns the connection to the auto-commit mode. The current transaction includes all statements on the specified connection that were executed after the call to sqlsrv_begin_transaction and before any calls to sqlsrv_rollback or sqlsrv_commit.
 * @param resource $conn The connection with which the transaction is associated.
 */
function sqlsrv_commit($conn){}

/**
 * Rolls back the current transaction on the specified connection and returns the connection to the auto-commit mode. The current transaction includes all statements on the specified connection that were executed after the call to sqlsrv_begin_transaction and before any calls to sqlsrv_rollback or sqlsrv_commit.
 * @param resource $conn The connection with which the transaction is associated.
 */
function sqlsrv_rollback($conn){}
?>